const url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteTrashApi = async (projectId: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/Trash/Delete?projectId=${projectId}`, {
            method: "PATCH",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            console.error("Failed to fetch trash data");
        }

        const data = await response.json();
        return data;
    } catch {
        console.error("Failed to fetch trash data");
    }
};
